Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 645504

Summary: games-strategy/hedgewars depends on deprecated Qt4
Product: Gentoo Linux Reporter: Andreas Sturmlechner <asturm>
Component: Current packagesAssignee: Gentoo Games <games>
Status: RESOLVED FIXED    
Severity: normal CC: mail, tsmksubc
Priority: Normal Keywords: PMASKED
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://hg.hedgewars.org/hedgewars/log?rev=branch(qmlfrontend)
See Also: https://issues.hedgewars.org/show_bug.cgi?id=159
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 631788    

Description Andreas Sturmlechner gentoo-dev 2018-01-23 19:58:40 UTC
Qt4 is dead and going away. This package has ongoing but non-trivial efforts to port to Qml, see URL, and could use n helping hands upstream.

We don't have to rush removal as long as there are signs of progress and other packages blocking qt4-removal, but ultimately <=0.9.23 will have to go together with Qt4.
Comment 1 Francesco Turco 2018-01-24 11:33:11 UTC
https://issues.hedgewars.org/show_bug.cgi?id=159
Comment 2 bugs 2018-01-25 19:19:32 UTC
Just FYI. unc0rr made this interim branch:
https://hg.hedgewars.org/hedgewars/log?rev=branch(qt5transition)

It makes use of the fact that while qt5 removed the FileEngine he was using for physfs, it is still available privately, at least for now.

https://hg.hedgewars.org/hedgewars/diff/12897/QTfrontend/util/FileEngine.h

In testing, it seems fine, apart from qt5 messing up some styling, an old problem with Qt that setting app.setStyle("fusion") in main.cpp seems to fix.  Apart from that, I didn't run into any issues.

We can use this approach for now, since the qml frontend branch will require a lot more work.
Comment 3 Larry the Git Cow gentoo-dev 2018-02-27 21:06:01 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ddf0c4af6f0f612a7452c559570cb2ac62659d62

commit ddf0c4af6f0f612a7452c559570cb2ac62659d62
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-02-27 21:04:29 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-02-27 21:05:46 +0000

    games-strategy/hedgewars: Drop old Qt4-based
    
    Closes: https://bugs.gentoo.org/645504
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 games-strategy/hedgewars/hedgewars-0.9.23.ebuild | 86 ------------------------
 1 file changed, 86 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff32834e66f881415549ae94747b5382cf2463ad

commit ff32834e66f881415549ae94747b5382cf2463ad
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-02-27 20:53:26 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-02-27 21:05:46 +0000

    games-strategy/hedgewars: Add upstream patch to build w/ Qt5
    
    See also:
    https://issues.hedgewars.org/show_bug.cgi?id=159
    https://hg.hedgewars.org/hedgewars/log?rev=branch(qt5transition)
    
    Bug: https://bugs.gentoo.org/645504
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 .../hedgewars/files/hedgewars-0.9.23-qt5-1.patch   |  87 ++++
 .../hedgewars/files/hedgewars-0.9.23-qt5-2.patch   | 477 +++++++++++++++++++++
 .../hedgewars/hedgewars-0.9.23-r1.ebuild           |  92 ++++
 3 files changed, 656 insertions(+)}